package eu.mhsl.minecraft.WorldMuseum.items.actionItems;

import net.kyori.adventure.text.Component;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.jetbrains.annotations.NotNull;

public class GamemodeChanger implements IActionItem{
    private final ItemStack item = generateItem();

    private ItemStack generateItem() {
        ItemStack item = new ItemStack(Material.ELYTRA);
        ItemMeta meta = item.getItemMeta();
        meta.displayName(Component.text("Enable/Disable Flight "));
        item.setItemMeta(meta);
        return item;
    }

    @Override
    public void action(@NotNull Player player) {
        player.setAllowFlight(!player.getAllowFlight());
    }

    @Override
    public ItemStack getItem() {
        return item;
    }

    @Override
    public int getItemLocation() {
        // Item will be placed in the second hotbar slot
        return 1;
    }
}
